> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/api-reference/business-verification/monitoring/bulk-disable-monitors/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # Bulk disable monitors POST https://api.middesk.com/v1/monitoring/bulk_disable Content-Type: application/json Disables monitors for all businesses in the account. This operation is processed asynchronously. When monitor_types is omitted, all monitor types allowed for the account are disabled. Reference: https://docs.middesk.com/api-reference/business-verification/monitoring/bulk-disable-monitors ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `monitor_types` (list of enum, optional) — Array of monitor types to disable. Defaults to all types allowed for the account. - Allowed values: `bankruptcy`, `certification`, `registration`, `tin`, `watchlist_result`, `lien` - `notification_email` (string, optional) — Email address to notify when bulk disable operation completes ## Examples ### Disable specific monitor types for all businesses **Request** ```json { "monitor_types": [ "bankruptcy", "tin" ], "notification_email": "example@example.com" } ``` **SDK Code** ```python Disable specific monitor types for all businesses import requests url = "https://api.middesk.com/v1/monitoring/bulk_disable" payload = { "monitor_types": ["bankruptcy", "tin"], "notification_email": "example@example.com" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Disable specific monitor types for all businesses const url = 'https://api.middesk.com/v1/monitoring/bulk_disable'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"monitor_types":["bankruptcy","tin"],"notification_email":"example@example.com"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Disable specific monitor types for all businesses package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.middesk.com/v1/monitoring/bulk_disable" payload := strings.NewReader("{\n \"monitor_types\": [\n \"bankruptcy\",\n \"tin\"\n ],\n \"notification_email\": \"example@example.com\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Disable specific monitor types for all businesses require 'uri' require 'net/http' url = URI("https://api.middesk.com/v1/monitoring/bulk_disable") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"monitor_types\": [\n \"bankruptcy\",\n \"tin\"\n ],\n \"notification_email\": \"example@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java Disable specific monitor types for all businesses import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.middesk.com/v1/monitoring/bulk_disable") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"monitor_types\": [\n \"bankruptcy\",\n \"tin\"\n ],\n \"notification_email\": \"example@example.com\"\n}") .asString(); ``` ```php Disable specific monitor types for all businesses request('POST', 'https://api.middesk.com/v1/monitoring/bulk_disable', [ 'body' => '{ "monitor_types": [ "bankruptcy", "tin" ], "notification_email": "example@example.com" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Disable specific monitor types for all businesses using RestSharp; var client = new RestClient("https://api.middesk.com/v1/monitoring/bulk_disable"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"monitor_types\": [\n \"bankruptcy\",\n \"tin\"\n ],\n \"notification_email\": \"example@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Disable specific monitor types for all businesses import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "monitor_types": ["bankruptcy", "tin"], "notification_email": "example@example.com" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/monitoring/bulk_disable")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Disable all allowed monitor types (omit monitor_types) **Request** ```json { "notification_email": "example@example.com" } ``` **SDK Code** ```python Disable all allowed monitor types (omit monitor_types) import requests url = "https://api.middesk.com/v1/monitoring/bulk_disable" payload = { "notification_email": "example@example.com" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Disable all allowed monitor types (omit monitor_types) const url = 'https://api.middesk.com/v1/monitoring/bulk_disable'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"notification_email":"example@example.com"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Disable all allowed monitor types (omit monitor_types) package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.middesk.com/v1/monitoring/bulk_disable" payload := strings.NewReader("{\n \"notification_email\": \"example@example.com\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Disable all allowed monitor types (omit monitor_types) require 'uri' require 'net/http' url = URI("https://api.middesk.com/v1/monitoring/bulk_disable") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"notification_email\": \"example@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java Disable all allowed monitor types (omit monitor_types) import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.middesk.com/v1/monitoring/bulk_disable") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"notification_email\": \"example@example.com\"\n}") .asString(); ``` ```php Disable all allowed monitor types (omit monitor_types) request('POST', 'https://api.middesk.com/v1/monitoring/bulk_disable', [ 'body' => '{ "notification_email": "example@example.com" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Disable all allowed monitor types (omit monitor_types) using RestSharp; var client = new RestClient("https://api.middesk.com/v1/monitoring/bulk_disable"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"notification_email\": \"example@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Disable all allowed monitor types (omit monitor_types) import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["notification_email": "example@example.com"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/monitoring/bulk_disable")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```